# (kamil) make the .spec portable over systems with non-GNU sed
%bcond_with gnuprefix

%define _bindir /bin

Summary:	A GNU stream text editor
Name:		sed
Version:	4.8
Release:	%mkrel 3
License:	GPL
Group:		Text tools
Url:		http://www.gnu.org/software/sed/
Source0:	ftp://ftp.gnu.org/pub/gnu/sed/%{name}-%{version}.tar.xz
#Patch0:		sed-4.1.1-dest_len-0.1.patch
BuildRequires:	texinfo

%description
The sed (Stream EDitor) editor is a stream or batch (non-interactive)
editor.  Sed takes text as input, performs an operation or set of
operations on the text and outputs the modified text.  The operations
that sed performs (substitutions, deletions, insertions, etc.) can be
specified in a script file or from the command line.

%prep
%setup -q
%autopatch -p1

%build
%configure \
%if %{with gnuprefix}
	       --program-prefix=g
%endif

%make_build
%make_build html

%install
%make_install
rm -f %{buildroot}%{_docdir}/sed.html

%find_lang %{name}

%check
# Single thread check
%__make check

%files -f %{name}.lang
%doc BUGS NEWS README doc/sed.html
%{_bindir}/*sed 
%{_infodir}/sed.info*
%{_mandir}/man1/*sed.1*


%changelog
* Wed Apr 15 2020 joequant <joequant> 4.8-3.mga8
+ Revision: 1567525
- rebuild to remove info-install dependecy

* Wed Feb 19 2020 umeabot <umeabot> 4.8-2.mga8
+ Revision: 1543151
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Jan 15 2020 kekepower <kekepower> 4.8-1.mga8
+ Revision: 1478045
- Update to version 4.8

* Sun Dec 23 2018 kekepower <kekepower> 4.7-1.mga7
+ Revision: 1344733
- Update to version 4.7

* Thu Dec 20 2018 tv <tv> 4.6-1.mga7
+ Revision: 1343479
- 4.6

* Sun Sep 02 2018 tv <tv> 4.5-2.mga7
+ Revision: 1256288
- rely on filetriggers for info system (mga#23482)
+ kekepower <kekepower>
- Use new make macros

* Sun Apr 01 2018 kekepower <kekepower> 4.5-1.mga7
+ Revision: 1214061
- Update to version 4.5

* Sun Oct 15 2017 joequant <joequant> 4.4-1.mga7
+ Revision: 1171957
- upgrade to 4.4

* Thu Aug 24 2017 ovitters <ovitters> 4.2.2-9.mga7
+ Revision: 1146613
+ rebuild (emptylog)

* Fri Feb 12 2016 umeabot <umeabot> 4.2.2-9.mga6
+ Revision: 958844
- Mageia 6 Mass Rebuild

* Tue Oct 20 2015 danf <danf> 4.2.2-8.mga6
+ Revision: 892947
- Don't strip binaries to preserve debuginfo

* Fri Aug 21 2015 tmb <tmb> 4.2.2-7.mga6
+ Revision: 867885
- rebuild for new gcc

* Wed Oct 15 2014 umeabot <umeabot> 4.2.2-6.mga5
+ Revision: 742173
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.2.2-5.mga5
+ Revision: 689104
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 4.2.2-4.mga4
+ Revision: 532720
- Mageia 4 Mass Rebuild

* Thu Aug 22 2013 kamil <kamil> 4.2.2-3.mga4
+ Revision: 469482
- Improve portability of the .spec for non-GNU systems and introduce a few clean-ups

* Mon Jan 14 2013 umeabot <umeabot> 4.2.2-2.mga3
+ Revision: 381932
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 24 2012 fwang <fwang> 4.2.2-1.mga3
+ Revision: 334482
- new version 4.2.

* Sun Jun 10 2012 blino <blino> 4.2.1-5.mga3
+ Revision: 259530
- rebuild to get info pages as xz instead of lzma

* Sun Jan 02 2011 boklm <boklm> 4.2.1-4.mga1
+ Revision: 54
- imported package sed

